cutlass::transform::threadblock::PredicatedTileIterator< Shape_, Element_, layout::ColumnMajorInterleaved< InterleavedK >, AdvanceRank, ThreadMap_, AccessSize >::Params Class Reference

Parameters object is precomputed state and is host-constructible.

`#include <predicated_tile_iterator.h>`

## Public Member Functions

CUTLASS_HOST_DEVICE | Params ()
CUTLASS_HOST_DEVICE | Params (Layout const &layout)
| Construct the Params object given a pitch-linear tensor's layout. More...

## Constructor & Destructor Documentation

template<typename Shape_ , typename Element_ , int AdvanceRank, typename ThreadMap_ , int AccessSize, int InterleavedK>

CUTLASS_HOST_DEVICE cutlass::transform::threadblock::PredicatedTileIterator< Shape_, Element_, layout::ColumnMajorInterleaved< InterleavedK >, AdvanceRank, ThreadMap_, AccessSize >::Params::Params | ( |  | ) |

inline

template<typename Shape_ , typename Element_ , int AdvanceRank, typename ThreadMap_ , int AccessSize, int InterleavedK>

CUTLASS_HOST_DEVICE cutlass::transform::threadblock::PredicatedTileIterator< Shape_, Element_, layout::ColumnMajorInterleaved< InterleavedK >, AdvanceRank, ThreadMap_, AccessSize >::Params::Params | ( | Layout const & | layout | ) |

inline

The documentation for this class was generated from the following file:

- transform/threadblock/predicated_tile_iterator.h